GNU bug report logs - #53093
[PATCH 18/41] gnu: rust-rbw: adding rust-tokio-macros-1.7

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 14:14:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 14:13:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 09:13:28 2022
Received: from localhost ([127.0.0.1]:43472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5pzk-00066W-CO
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:13:28 -0500
Received: from lists.gnu.org ([209.51.188.17]:55374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5pzj-00066O-Bd
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:13:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57280)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5pzj-00028z-87
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:13:27 -0500
Received: from 1.mo560.mail-out.ovh.net ([46.105.63.121]:38577)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5pzg-0003IR-QW
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:13:26 -0500
Received: from player711.ha.ovh.net (unknown [10.109.146.240])
 by mo560.mail-out.ovh.net (Postfix) with ESMTP id 4B88421312
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:13:22 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player711.ha.ovh.net (Postfix) with ESMTPSA id E510125E4E0C8
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:13:21 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-103G00571202435-6dda-4093-bd21-39be6baa911f,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 18/41] gnu: rust-rbw: adding rust-tokio-macros-1.7
Date: Fri, 07 Jan 2022 15:12:36 +0100
Message-ID: <87czl3ocqm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0019-rust-rbw-dependencies-adding-rust-tokio-macros-1.7.patch
X-Ovh-Tracer-Id: 5368853705932071674
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddgfeejucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepudeuveejueduvdfhudefieeltdfgiefgveeijeeuleffueetffejvefgleelvedunecukfhppedtrddtrddtrddtpddutdelrddtrddvfeekrddvtddunecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhpohhuthdphhgvlhhopehplhgrhigvrhejuddurdhhrgdrohhvhhdrnhgvthdpihhnvghtpedtrddtrddtrddtpdhmrghilhhfrhhomhepnhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrpdhrtghpthhtohepghhuihigqdhprghttghhvghssehgnhhurdhorhhg
Received-SPF: pass client-ip=46.105.63.121; envelope-from=ngraves@HIDDEN;
 helo=1.mo560.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From cb12def4a24a417332f9357e645f631957952ecb Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 11:52:48 +0100
Subject: [PATCH 19/42] rust-rbw dependencies : adding rust-tokio-macros-1.7

---
 gnu/packages/crates-io.scm | 26 ++++++++++++++++++++------
 1 file changed, 20 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index a4860cc3c6..4fa7427ef8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -57262,7 +57262,7 @@ (define-public rust-tokio-1.8
         ("rust-parking-lot" ,rust-parking-lot-0.11)
         ("rust-pin-project-lite" ,rust-pin-project-lite-0.2)
         ("rust-signal-hook-registry" ,rust-signal-hook-registry-1)
-        ("rust-tokio-macros" ,rust-tokio-macros-1)
+        ("rust-tokio-macros" ,rust-tokio-macros-1.1)
         ("rust-tracing" ,rust-tracing-0.1)
         ("rust-winapi" ,rust-winapi-0.3))
        #:cargo-development-inputs
@@ -57307,7 +57307,7 @@ (define-public rust-tokio-1
         ("rust-parking-lot" ,rust-parking-lot-0.11)
         ("rust-pin-project-lite" ,rust-pin-project-lite-0.2)
         ("rust-signal-hook-registry" ,rust-signal-hook-registry-1)
-        ("rust-tokio-macros" ,rust-tokio-macros-1)
+        ("rust-tokio-macros" ,rust-tokio-macros-1.1)
         ("rust-tracing" ,rust-tracing-0.1)
         ("rust-winapi" ,rust-winapi-0.3))))))
 
@@ -57732,10 +57732,10 @@ (define-public rust-tokio-io-timeout-1
 operations.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-tokio-macros-1
+(define-public rust-tokio-macros-1.7
   (package
     (name "rust-tokio-macros")
-    (version "1.1.0")
+    (version "1.7.0")
     (source
      (origin
        (method url-fetch)
@@ -57743,7 +57743,7 @@ (define-public rust-tokio-macros-1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0mys5zm2gcdgc0iq8nqipzn703q26x1bpw59m04shikgacdb3xya"))))
+         "1ds34qsfvgf63cjgdx3gr4pl7i76fifyar15ksbillcc8hpzfmxm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -57756,9 +57756,23 @@ (define-public rust-tokio-macros-1
     (description "This package provides Tokio's proc macros.")
     (license license:expat)))
 
+(define-public rust-tokio-macros-1.1
+  (package
+    (inherit rust-tokio-macros-1.7)
+    (name "rust-tokio-macros")
+    (version "1.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tokio-macros" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mys5zm2gcdgc0iq8nqipzn703q26x1bpw59m04shikgacdb3xya"))))))
+
 (define-public rust-tokio-macros-0.3
   (package
-    (inherit rust-tokio-macros-1)
+    (inherit rust-tokio-macros-1.7)
     (name "rust-tokio-macros")
     (version "0.3.2")
     (source
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53093; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.